Drop python3.6/3.7 support in testing runtime

In Zed cycle testing runtime, we are targetting to drop the
python 3.6/3.7 support, project started adding python 3.8 as minimum,

example nova:
- 56b5aed08c/setup.cfg (L13)

Also indicates that we support python 3.9.

Change-Id: I1bdec397b1ac563b09174763c20e8a91e5f86143
changes/37/840637/2
Hervé Beraud 9 months ago
parent 3e10666e14
commit 8efaa1ceb8

@ -5,14 +5,14 @@ author = OpenStack
author_email = openstack-discuss@lists.openstack.org
summary = Manage dynamic plugins for Python applications
home_page = https://docs.openstack.org/stevedore/latest/
python_requires = >=3.6
python_requires = >=3.8
classifier =
Development Status :: 5 - Production/Stable
License :: OSI Approved :: Apache Software License
Programming Language :: Python
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Programming Language :: Python :: 3 :: Only
Programming Language :: Python :: Implementation :: CPython
Intended Audience :: Developers

Loading…
Cancel
Save